Admin/Windows/Cygwin/setup_server
author wenzelm
Mon, 23 Jan 2023 14:26:42 +0100
changeset 77052 86ace3c45837
parent 71385 06bb82e7af2a
child 78304 e4b57eea7f86
permissions -rwxr-xr-x
more uniform options for "curl", following lib/Tools/components;

#!/usr/bin/env bash

CYGWIN_MAIN="https://cygwin.com"
CYGWIN_MIRROR="https://ftp.eq.uc.pt/software/pc/prog/cygwin"

function fail()
{
  echo "$1" >&2
  exit 2
}

function download()
{
  local URL="$1"
  local DIR="${2:-.}"
  mkdir -p "$DIR" || fail "Cannot create directory: \"$DIR\""
  echo "Downloading $URL ..."
  curl --fail --silent --location "$URL" > "$DIR"/"$(basename "$URL")" || fail "FAILED"
}

download "$CYGWIN_MAIN/setup-x86_64.exe"
download "$CYGWIN_MIRROR/x86_64/setup.xz" "x86_64"
download "$CYGWIN_MIRROR/x86_64/setup.xz.sig" "x86_64"